Subject: Re: bug#8689: 23.3; Gnus v5.13 freezes upon invocation of default STARTTLS in SMTP in GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3

From: "Benjamin L. Russell" <[email-masked]>
Date: Thu, 30 Jun 2011 07:59:21 -0700 (PDT)

[email-masked] (Lars Magne Ingebrigtsen) writes:

> [email-masked]
> (Benjamin L. Russell) writes:
> 
> > Previously, I had thought that the default STARTTLS
> configuration file
> > (C:\emacs\emacs-23.3\lisp\gnus\starttls.el) worked
> when invoking the
> > STARTTLS file in sending a message via the SMTP
> protocol; however,
> > yesterday I discovered that apparently my GNU Emacs
> 23.3.1 installation
> > had been using a modified STARTTLS configuration file
> from the older GNU
> > Emacs 23.2.1 version within the same C:\emacs
> directory when Gnus
> > started freezing every time in SMTP upon invocation of
> STARTTLS
> > immediately after I moved the older versions of Emacs
> to a different
> > directory.
> 
> What are the differences between the STARTTLS configuration
> files in the
> two Emacs 23.x versions?

Let's see:

----- inserted portion begins immediately after this line -----
Microsoft Windows XP [Version 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

C:\Documents and Settings\kensyuu>diff C:\emacs\emacs-23.3\lisp\gnus\starttls.el
 "C:\Documents and Settings\kensyuu\My Documents\GNU Emacs\Deprecated Versions\F
rom emacs Top-level Folder\emacs-23.2\lisp\gnus\starttls.el"
cygwin warning:
  MS-DOS style path detected: C:\emacs\emacs-23.3\lisp\gnus\starttls.el
  Preferred POSIX equivalent is: /cygdrive/c/emacs/emacs-23.3/lisp/gnus/starttls
.el
  CYGWIN environment variable option "nodosfilewarning" turns off this warning.
  Consult the user's guide for more details about POSIX paths:
    http://cygwin.com/cygwin-ug-net/using.html#using-pathnames
4c4
< ;;   2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software Foundation, Inc.
---
> ;;   2005, 2006, 2007, 2008 Free Software Foundation, Inc.
13c13
< ;; GNU Emacs is free software: you can redistribute it and/or modify
---
> ;; GNU Emacs is free software; you can redistribute it and/or modify
15,16c15,16
< ;; the Free Software Foundation, either version 3 of the License, or
< ;; (at your option) any later version.
---
> ;; the Free Software Foundation; either version 3, or (at your option)
> ;; any later version.
20c20
< ;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
---
> ;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.        See the
24c24,26
< ;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
---
> ;; along with GNU Emacs; see the file COPYING.  If not, write to the
> ;; Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
> ;; Boston, MA 02110-1301, USA.
199d200
< ;; Added based on a suggestion by Uday Reddy posted on 2010-04-26 at "Question
 #108267 : Questions : VM" (see https://answers.launchpad.net/vm/+question/10826
7) by Benjamin L. Russell on Tuesday, May 17, 2011, at 19:53.
212,213c213
<       ;; Modified based on a suggestion by Uday Reddy posted on 2010-04-26 at
"Question #108267 : Questions : VM" (see https://answers.launchpad.net/vm/+quest
ion/108267) by Benjamin L. Russell on Tuesday, May 17, 2011, at 19:53.
< ;     (signal-process (process-id process) 'SIGALRM)
---
>       ; (signal-process (process-id process) 'SIGALRM)
219,220c219
<         ;; Modified based on a suggestion by Uday Reddy posted on 2010-04-26 a
t "Question #108267 : Questions : VM" (see https://answers.launchpad.net/vm/+que
stion/108267) by Benjamin L. Russell on Tuesday, May 17, 2011, at 19:53.
< ;       (signal-process (process-id process) 'SIGALRM)
---
>         ; (signal-process (process-id process) 'SIGALRM)
245,249c244,246
<     ;; Modified based on a suggestion by Uday Reddy posted on 2010-04-26 at "Q
uestion #108267 : Questions : VM" (see https://answers.launchpad.net/vm/+questio
n/108267) by Benjamin L. Russell on Tuesday, May 17, 2011, at 19:53.
< ;    (signal-process (process-id process) 'SIGALRM)
<     (call-process starttls-kill-program nil nil nil
<                 "-ALRM" (format "%d" (process-id process)))
<   ))
---
>     ; (signal-process (process-id process) 'SIGALRM)))
>       (call-process starttls-kill-program nil nil nil
>                     "-ALRM" (format "%d" (process-id process)))))
259c256
<   (message "Opening STARTTLS connection to `%s:%s'..." host port)
---
>   (message "Opening STARTTLS connection to `%s'..." host)
284,285c281,282
<     (message "Opening STARTTLS connection to `%s:%s'...%s"
<            host port (if done "done" "failed"))
---
>     (message "Opening STARTTLS connection to `%s'...%s"
>            host (if done "done" "failed"))
305d301
<     (message "Opening STARTTLS connection to `%s:%s'" host (format "%s" port))

314,326d309
< (defun starttls-any-program-available ()
<   (let ((program (if starttls-use-gnutls
<                    starttls-gnutls-program
<                  starttls-program)))
<     (condition-case ()
<       (progn
<         (call-process program)
<         program)
<       (error (progn
<              (message "No STARTTLS program was available (tried '%s')"
<                       program)
<              nil)))))
<
329,330c312,313
< ;; arch-tag: 648b3bd8-63bd-47f5-904c-7c819aea2297
< ;;; starttls.el ends here
---
> ;;; arch-tag: 648b3bd8-63bd-47f5-904c-7c819aea2297
> ;;; starttls.el ends here
\ No newline at end of file
----- inserted portion ends immediately before this line -----

-- Benjamin L. Russell

--- On Thu, 6/30/11, Lars Magne Ingebrigtsen <[email-masked]> wrote:

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Subject: Re: bug#8689: 23.3; Gnus v5.13 freezes upon invocation of default STARTTLS in SMTP in GNU Emacs 23.3.1 (i386-mingw-nt5.1.2600) on Windows XP Professional, Service Pack 3
> To: "Benjamin L. Russell" <[email-masked]>
> Cc: [email-masked]
> Date: Thursday, June 30, 2011, 8:19 AM
> [email-masked]
> (Benjamin L. Russell) writes:
> 
> > Previously, I had thought that the default STARTTLS
> configuration file
> > (C:\emacs\emacs-23.3\lisp\gnus\starttls.el) worked
> when invoking the
> > STARTTLS file in sending a message via the SMTP
> protocol; however,
> > yesterday I discovered that apparently my GNU Emacs
> 23.3.1 installation
> > had been using a modified STARTTLS configuration file
> from the older GNU
> > Emacs 23.2.1 version within the same C:\emacs
> directory when Gnus
> > started freezing every time in SMTP upon invocation of
> STARTTLS
> > immediately after I moved the older versions of Emacs
> to a different
> > directory.
> 
> What are the differences between the STARTTLS configuration
> files in the
> two Emacs 23.x versions?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog http://lars.ingebrigtsen.no/
>